List charges

Search and filter charge objects with pagination support.

Available fields for criteria and order:

  • id
  • alt_key
  • contract
  • created
  • due
  • outstanding_amount
  • recurring: "Y" (true) "N" (false)
  • status
  • updated
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Search criteria for filtering charges. Available fields:

  • id
  • alt_key (your reference for a scheduled charge)
  • contract
  • created
  • due
  • outstanding_amount
  • recurring (Y/N)
  • status
  • updated

Examples:

  • status=ACTIVE
  • contract=co_12345_67890
  • alt_key=INSTALMENT_2
  • due<>2024-01-01;2024-12-31
  • outstanding_amount>=10
string

Sort order for results. Supports any field that criteria supports. Defaults to created;desc if not specified. Append ;desc for descending order. Separate multiple order fields with commas.

Examples:

  • order=due
  • order=outstanding_amount;desc
string

Fields to expand into full objects. Separate multiple fields with commas.

Available fields:

  • contract (contract object)
  • created_session (session object)
  • updated_session (session object)

Example: expand=contract

integer

Maximum records to return

integer

Offset from first records

Responses

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json